﻿using Blazor_Firestorer.Shared.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Blazor_Firestorer.Server.Data
{
    public interface IAlunoDAL
    {
        public Task<List<Aluno>> GetAlunos();
        public void AddAluno(Aluno employee);
        public void UpdateAluno(Aluno employee);
        public Task<Aluno> GetAluno(string id);
        public void DeleteAluno(string id);
        public Task<List<Cidade>> GetCidades();
    }
}
